/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

static int noligne;		/** utilisee uniquement pour l'editeur graphique */
static tab_chaine this_javaIntermediateString;	/* utilisee uniquement pour l'editeur graphique */ //PLG previous name stock_chaine


/**
   Affichage dans une fenetre de ?LEFT espaces suivis de la chaine ?STR
   La fenetre est la fenetre de diagnostic du compilateur 
   où sont affichés tous les messages envoyés par le compilateur.
*/
extern void
sysscreen (int left, ptreg str)
{
  char *chaine;
  int len, lg, i;

  len = nregGet_usedSize (str);
  lg = len * (sizeof (char)) + left + 1;
  chaine = (char *) malloc (lg);
  if (left != 0)
    for (i = 1; i <= left; i++)
      chaine[i - 1] = ' ';
  for (i = 1; i <= len; i++)
    chaine[i + left - 1] = nregGet_char (str, i);
  chaine[lg - 1] = '\0';
  C2Java_textAppend (C_DiagComp, chaine);	// to Java world
}

/**
   Writing a new line on the screen.
*/
extern void
sysscreenln ()
{
  char chaine[2];

  chaine[0] = '\n';
  chaine[1] = '\0';
  C2Java_textAppend (C_DiagComp, chaine);	// to Java world
}

///
extern void
sysinitgraphchaine (void)
{
  noligne = 0;
}

/**
   Fonction appelee par le decompilateur graphique pour afficher dans une
   fenetre graphique le texte contenu dans la variable chaine, mise à jour dans sysgraph.
*/
extern pttab_chaine
sysgetgraphchaine (int *no_ligne)
{
  *no_ligne = noligne;
  noligne = 0;
  return (&this_javaIntermediateString);
}


/**
   sortie de ?LEFT espaces suivis de la chaine ?STR
*/
extern void
sysgraph (int left, ptreg str)
{
  int lg, i = 0, j = 0;

  if (left > 0)
    for (i = 0; i < left; i++)
      this_javaIntermediateString[noligne][i] = ' ';

  lg = nregGet_usedSize (str);
  if (lg > 0)
    for (j = 0; j < lg; j++)
      this_javaIntermediateString[noligne][i + j] = nregGet_char (str, j + 1);
  this_javaIntermediateString[noligne][i + j] = '\0';
  if (noligne < (max_stock - 1))
    noligne++;
}
