/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

import java.io.File;

/**
 * Polychrony GUI main graph editing tool window.
 */
public class Polychrony {
    private static PolychronyWindow the_mainPolychronyWindow;
    
    /** expected arguments: - args[0] = "PWD" ; - args[1] : images directory; -args[2] : doc directory
     * optional arguments args[3] (args[4]...) : file name(s)
     */
    public static void main(String args[]) {
        int n = args.length;
	if ( n >= 3 ) 
	    {
		the_mainPolychronyWindow = new PolychronyWindow(args[0], args[1], args[2]);
		if ( n > 3 ) 
		    {
			int i = 4;
			if ( the_mainPolychronyWindow.initialLoadRoot(new String(args[3]), true, false));
			if ( the_mainPolychronyWindow.newPolychronyWindowCompletion(false) ) 
			    {
				while ( (i<n) ) 
				    {
					if (PolychronyWindow.new_PolychronyWindow(args[0], new String(args[i]), true)); 
					i++; 
				    } 
			    } 
		    } 
		else 
		    the_mainPolychronyWindow.newPolychronyWindowCompletion(false); 
	    }
	else 
	    {
		System.err.println("###ERROR### polychrony expected arguments: default directory, image directory, doc directory;"); 
		System.err.println("                       optionnal arguments: list of graphical SIGNAL file names"); 
	    }
    }
}

