 /*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */


 


import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Insets;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;

/**
 * This class is used to display the signals names of an expression, after the
 * user has associated this expression to a box.
 */
class PortNameWin extends JFrame {
    private static final long serialVersionUID = 1L;
    private static JTextArea topArea = new JTextArea();
    private static JTextArea bottomArea = new JTextArea();

    private Color getMyColor1() {
        return pKGUIColors.Color1;
    }

    public PortNameWin(String name) {
        setTitle(" ");
        int width = 320;
        int height = 170;
        setSize(new Dimension(width, height));
        setLocation(0, 300);
        JPanel panel = new JPanel();
        getContentPane().add(panel);
        panel.setLayout(new BorderLayout());
        panel.setBorder(new EtchedBorder(EtchedBorder.LOWERED));
        panel.setBorder(new EmptyBorder(new Insets(5, 5, 5, 5)));
        panel.setBackground(getMyColor1());

        topArea.setPreferredSize(new Dimension(width, height / 2));
        topArea.setBackground(getMyColor1());
        topArea.setEditable(false);
        topArea.setFont(new Font("Helvetica", Font.PLAIN, 12));
        topArea.setText("To name the ports, click on the box with :\n\n");
        topArea.append(" the left button : create and/or name the port\n");
        topArea.append(" the middle Click : go to the next name\n");
        topArea.append(" the right Click : Cancel");

        bottomArea.setBackground(getMyColor1());
        bottomArea.setEditable(false);
        bottomArea.setPreferredSize(new Dimension(width, height / 2));
        bottomArea.setFont(new Font("Helvetica", Font.PLAIN, 36));
        bottomArea.setForeground(Color.red);
        bottomArea.setText(name);

        panel.add(topArea, BorderLayout.NORTH);
        panel.add(bottomArea, BorderLayout.CENTER);
        setVisible(true);
    }
}
