/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

#define margeGaucheMax 45 // taille de la marge gauche pour le décompilateur textuel Signal
//#define lgligne 120       // taille d'une ligne de texte Signal
#define lgligne 256       // taille d'une ligne de texte Signal

#define TBUF 256 /* taille des buffers de chaines de caracteres */
#define TBS 20 /* taille max du buffer de selection */

#define null 0
#define gauche 1
#define droite 2
#define bas 3
#define haut 4
#define vertic 0
#define horiz 1

#define maxports 100

/*	valeur des attributs	*/
#define GRAPHI_ATTRNUMBER 1 	/* attribut graphique: ntrees*/
#define SIGNAL_ATTRNUMBER 1  	/* attribut signal: ntrees */
#define POLICE_ATTRNUMBER 3	/* attribut police de caracteres: int. PLG: UNUSED ? */
#define VERSION_ATTRNUMBER 3    /* attribut numero de version: int.  -- Loic -- */
#define ALGO_ATTRNUMBER 4	/* attribut algorithmique: ntrees*/
#define MASKICON_ATTRNUMBER 2   /* attribut masque-icon PLG: UNUSED ? */
#define compilMark_ATTRNUMBER 5 /* attribut de marquage temporaire:int. Utilisé pour marquer les instructions Signal
			   rajoutées avant de compiler (renommages, masquages...), et pour 
			   pouvoir les enlever ensuite*/
#define compilMarkVal 1    /* valeur de marque, utilisée pour la  compil */

/*      actions internes        */
#define rout_bte 0
#define rout_tail_bte 1
#define rout_mult_port 2
#define rout_port 3

/*	constantes action en cours */
#define creation 1
#define insertion 2
#define encapsulage 3
#define dimension 4
#define deplacement 5
#define collage 6  /* correspond au "paste" */
#define selectionnage 7


/*	contantes messages d'etat	*/
#define assocdeclport 30

 /* ERROR CODE */
#define statusOK 0
#define ERR_fileSaving 19
#define ERR_fileOpening 20
#define ERR_noGarbage 25
#define ERR_readableFile 28
#define ERR_LibraryContent 51
#define ERR_gpkFileContent 53
#define ERR_parsing 54
#define ERR_unparseFile 56
#define ERR_insertModule 57

#define crbteimp 1
#define crlienimp 2
#define crlienimppc 3
#define portincomp 4
#define actimp 5
#define deplimphalo 6
#define maplien1 7
#define deplportimp 8
#define maplien2 9
#define topniveau 10
#define routimpptint 11
#define routimpnodepl 12
#define syntinccor 13
#define seminccor 14
#define sortparam 15
#define cliqbte 16
#define cliqpte 17
#define cliqpts 18
#define nommproc 21
#define warmap 22
#define warmapext 23
#define connexptext 24
#define recupmemnch 26
#define boitespec 27
#define encapsimphalo 29
#define encapsimpbte 30
#define routimpnoencaps 31
#define crptimpnoencaps 32
#define tailimphalo 33
#define routimpnotail 34
#define decapsimphalo 35
#define decapsimpbte 36
#define routimpnodecaps 37
#define decapsimpecpt 38
#define procinexist 39
#define crportimp 40
#define routimp 41
#define not_allowed_embed 42
#define manualrout 43
#define pastebteimp 44
#define idem_typ_mod 45
#define archi_not_built 46
#define linkmoveimp 47
#define actNotAllowed 48
#define endBuildFile 49
#define errBuildResolv 50
#define errNotAFile 52
#define unexpectedAction 55
/*	Contantes messages information	*/
#define remonteniv 1
#define descbte 2
#define descport 3
#define descprofil 4


/* definition c_de l'etat d'un bouton de la souris */
#define appuyer 0
#define relacher 1
#define tirer 2

/* definition  des differentes polices */
#define police11 0
#define police14 1
#define police16 2
#define police19 3
#define police9 4

/* definition  des differentes couleurs */
#define WHITE 0
#define BLACK 1
#define BLUE 2
#define RED 3
#define GREEN 4
#define PURPLE 5
#define YELLOW 6
#define GRAY 7
#define ORANGE 8

#define COL_EFFACE 0 /* pour effacer */
#define COL_DEF 1  // couleur noire par défault
#define COL_INT 2  // couleur bleue pour les liens de type entier
#define COL_BOOL 3 // couleur rouge pour les liens de type booléen, event
#define COL_REAL 4 // couleur verte pour les liens de type réel
#define COL_SEL 2  // couleur bleue pour les boites selectionnees 
#define COL_TYPNOM 5 // couleur violette pour les bundles 
#define COL_HALO 7   // couleur grise pour les halos


