/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
/********************************************************
	      Modul currentObjectsManager
********************************************************/

#ifndef __currentObjectsManager__
#define __currentObjectsManager__

class currentObjectsManager {

#include "currentObjectsManager_g.h"

  private :

  ptGraphicTablesManager the_graphicTablesManager;
  ptGraphicTrees the_graphicalTrees;

  acces_gra *l_bte_design; /* listes des boites designables a un instant donne */
  acces_seg *l_seg_design; /* liste des segments designables a un instant donne*/
  ntrees racine;
  ntrees arb_cou_engl, proc_cou_engl, bte_cou_engl;
  db_reel f_ech_bte_engl; /* facteur d'échelle de la boite courante englobante,
				    c'est-à-dire le facteur entre sa taille et la taille
				    lorsqu'on descend dedans */
};

#endif
