/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

/*---------------------------------------------------------------------------
 *               SUPERVISEUR de l'editeur graphique de SIGNAL
 *
 *  Le superviseur de l'editeur est compose de 2 modules :
 *
 *     - un premier module SUPERVISEUR.SIG ecrit en SIGNAL qui gere l'automate : 
 *       enchainement des actions en fonction de l'etat courant de l'automate
 *      et des actions de l'utilisateur (choix d'un menu, click de la 
 * 	 souris...)
 *     - un deuxieme module supervis (celui-ci) qui gere l'interface avec
 *       JAVA via LiaisonSignal et qui execute les commandes envoyees par
 *       SUPERVISEUR.SIG
 *
 ---------------------------------------------------------------------------*/

#define PARSER_MESSAGE_SIZE 4096

#include "pKServicesAPI.h"

class supervis:public pKServicesAPI
{
#include "supervis_m.h"
#include "supervis_sig_g.h"
#include "supervis_sigCompiler_i.h"
#include "supervis_sigCompiler_interactive_g.h"
#include "supervis_sigCompiler_g.h"
#include "supervis_g.h"
  
 private :
  ptGraphicTablesManager the_graphicTablesManager;
  ptGraphicTrees the_graphicalTrees;
  ptMessage the_messageTool;
  ptBatchCompiler BC; // Batch Compiler.

  ptCurrentObjectsManager pCurObjManager;
  ptSignalDisplaying pDisplay;
  ptDrawing pDraw;
  ptUndo pUndo;
  ptBuilder pBuilder;
  ptGraph_text pGraph_text;
  // ptLiaisonSignal pLiaison;
  ptSUPERVISEUR this_SUPERVISEUR;

  boolean waitForParameters;
  ptOptionManager OM; // Option manager

  action_type memAction; // permet de différencier entre paramètres, decl locales, pragmas, spécification  au moment du "confirm".    
  int      func_ps;
  boolean  err_pre_comp, ok_pre_comp, debut_pre_comp;
  boolean  err_nom_vide; /* a vrai lorsqu'on essaie de compiler un processus qui n'a pas de nom */
  int valBut; /* provient de JAVA, indice du bouton cliqué dans la fenêtre de compilation interactive */  
  int obj_cour;/* derniere boite cliquee : n'est positionne que dans certains cas */
  boolean force, is_prag, is_param, is_loc_decl;
  ntrees p_inser; /* contient l'arbre a inserer, positionne par les fonctions d'insertion */ 
  ntrees p_param; /* arbre contenant les parametres du programme a compiler*/
  ntrees srcTree; /* arbre du source à compiler */
  ptrepbuf filebuf;
  char *src_fich;     /* chaine contenant le nom du fichier source textuel */
  char *appel_comp;
  char *SigaliCmdForPolychrony; /* contient la commande pour l'appel de SigaliCmdForPolychrony (emacs,...) */
  char fich_par[TBUF], fich_sig[TBUF];
  char nom_fich_load[TBUF]; /* variable contenant le nom du fichier a charger;
			       elle est positionnee par la fonction "ok_fich" : 
			       fonction appelee des 
			       que l'utilisateur a clique sur le bouton OK d'un browser */
  
  char *nom_fich_parser; /* nom du fichier associe a la fenetre texte */
  char *nom_fich_compil; /* nom du fichier utilise pour la sauvegarde 
			       pendant la compilation. Ces 2 fichiers appartiennent au repertoire courant */
  // char options[100]; 
  FILE *fich_p, *fich_p2;
  integer currentPhylum;
  boolean is_embedded; /* TEMPORAIRE TEMPORAIRE */
  boolean clustersApplied;   
  char * CurrentOutputDirectory; // WARNING may be NIL
  int en_cours;

  char gStringErrorParser[PARSER_MESSAGE_SIZE];
  char previous_options[4*TBUF];
};
